package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.utils.DateUtils;
import io.swagger.annotations.ApiModel;

import java.util.Date;

/**
 * 活动状态枚举类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("拼团活动状态枚举类")
public enum GroupingStatusEnum implements IEnum<Integer> {
    //0：进行中，1：已完成，2：已结束"
    CLOSE(2, "已结束"),

    START(0,"进行中"),

    END(1,"已结束");

    private Integer value;
    private String desc;

    GroupingStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }


    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("value",value);
        object.put("desc", desc);
        return object.toString();
    }

    public static GroupingStatusEnum getByValue(Integer value) {
        for (GroupingStatusEnum statusEnum : GroupingStatusEnum.values()) {
            if (statusEnum.getValue().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
