package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.*;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @describe 拼团活动用户中奖信息实体类
 * @auther yang.zhao
 */
@TableName("mp_groupbuying_hit_prize")
@Data
@ApiModel("拼团活动用户中奖信息实体类")
public class GroupBuyingHitPrize implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("中奖纪录ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("拼团活动ID")
    @TableField("groupbuying_id")
    private Long groupbuyingId;

    @ApiModelProperty("拼团ID")
    @TableField("group_id")
    private Long groupId;

    @ApiModelProperty("用户ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty("用户类型")
    @TableField("user_type")
    private String userType;

    @ApiModelProperty("奖项ID")
    @TableField("awards_id")
    private Long awardsId;

    @ApiModelProperty("奖品ID")
    @TableField("prize_id")
    private Long prizeId;

    @ApiModelProperty("奖品数量")
    @TableField("prize_quantity")
    private Integer prizeQuantity;

    @ApiModelProperty("奖品类型")
    @TableField("prize_type")
    private String prizeType;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("逻辑删除标识")
    @TableField("is_delete")
    @TableLogic
    private Integer isDelete;

}