package com.qs.mp.framework.redis;

import com.qs.mp.common.utils.MessageHelper;

/**
 * redis Lock Key管理模版
 *
 * @author duota
 *
 */
public enum RedisLockKey {

    GOODS_CARD_LOCK_KEY("goods_card_lock_key_{0}","商品卡密导入锁"),
    CREATED_ONLINE_TICKET_ORDER_KEY("created_online_ticket_order_key_{0}", "线上盲票创建锁"),
    ASYNC_TASK_KEY("async_task_key_{0}", "异步任务key"),

    MARKETING_JOIN_LOCK("marketing_join_lock_{0}", "活动参与锁"),

    MARKETING_LOTTERY_KEY("marketing_lottery_key_{0}","免费抽奖活动开奖"),
    USER_TICKET_CASH_LOCK("user_ticket_cash_lock_{0}", "盲票兑奖锁"),

    USER_COIN_TRANSFER_LOCK("user_coin_transfer_lock_{0}", "盲豆转赠锁"),

    USER_CD_KEY_EXCHANGE_LOCK("user_cd_key_exchange_lock_{0}", "兑换码兑换锁"),

    USER_RED_PKG_DRAW_LOCK("user_red_pkg_draw_lock_{0}","红包提现锁"),

    //0:活动ID,1:用户ID
    USER_INITIATE_GROUP_LOCK("user_initiate_group_lock_{0}_{1}","用户发起拼团锁"),
    //0:团Id,1:用户ID
    USER_JOIN_GROUP_LOCK("user_join_group_lock_{0}_{1}","用户参与拼团锁"),
    JOIN_GROUP_LOCK("join_group_lock_{0}","参与拼团锁"),
    USER_GROUP_ORDER_LOCK("user_group_order_lock_{0}","拼团订单锁"),
    ;


    public String keyTemplate;
    public String desc;

    RedisLockKey(String keyTemplate, String desc) {
        this.keyTemplate = keyTemplate;
        this.desc = desc;
    }

    public static String build(RedisLockKey redisLockKey, Object... param) {
        return MessageHelper.formatMsg(redisLockKey.keyTemplate, param);
    }

}
