package com.qs.mp.user.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qs.mp.channel.domain.vo.PromoterVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("拼团订单结算出参类")
public class GroupOrderSettleVO {

    /**
     * 订单金额
     */
    @ApiModelProperty("订单金额")
    private Integer orderAmt = 0;

    /**
     * 优惠金额
     */
    @ApiModelProperty("优惠金额")
    private Integer discountAmt = 0;

    /**
     * 拼团活动id
     */
    @ApiModelProperty("拼团活动id")
    @TableField("groupbuying_id")
    private Long groupbuyingId;


    /**
     * 拼团id
     */
    @ApiModelProperty("拼团id")
    @TableField("group_id")
    private Long groupId;


    /**
     * 用户ID
     */
    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    /**
     * 拼团价格，单位：分
     */
    @ApiModelProperty("拼团价格，单位：分")
    @TableField("group_price")
    private int groupPrice;


    @ApiModelProperty("小程序appId")
    private String appId;

    @ApiModelProperty("支付类型1支付宝,2微信,10支付宝直连")
    @TableId(value = "pay_type")
    private String payType;

    @ApiModelProperty("用户关联的推广员")
    private PromoterVO promoter;

    @ApiModelProperty("关联的门店")
    private Long channelId;

    @ApiModelProperty("团类型 1: 发起拼团，2: 参与拼团")
    private int groupType;

    @ApiModelProperty("用户选择的地址")
    private Long userAddrId;


    @ApiModelProperty("奖品名称")
    @TableId(value = "prize_title")
    private String prizeTitle;

    @ApiModelProperty("奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包")
    @TableId(value = "prize_type")
    private String prizeType;

    @ApiModelProperty("奖品数")
    @TableId(value = "prize_quantity")
    private Integer prizeQuantity;

    /**
     * 使用优惠券列表
     */
    @ApiModelProperty("使用优惠券列表")
    List<UserCoupon4OrderVO> couponList = new ArrayList<>();

}
